/****************************************************************************
** VideoFrame meta object code from reading C++ file 'videoframe.h'
**
** Created: Thu Jan 29 00:51:52 2004
**      by: The Qt MOC ($Id: videoframe.moc.cpp,v 1.1 2004-03-04 16:31:19 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "videoframe.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *VideoFrame::className() const
{
    return "VideoFrame";
}

QMetaObject *VideoFrame::metaObj = 0;

void VideoFrame::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QFrame::className(), "QFrame") != 0 )
	badSuperclassWarning("VideoFrame","QFrame");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString VideoFrame::tr(const char* s)
{
    return qApp->translate( "VideoFrame", s, 0 );
}

QString VideoFrame::tr(const char* s, const char * c)
{
    return qApp->translate( "VideoFrame", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* VideoFrame::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QFrame::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (VideoFrame::*m1_t0)();
    typedef void (QObject::*om1_t0)();
    typedef void (VideoFrame::*m1_t1)(int);
    typedef void (QObject::*om1_t1)(int);
    typedef void (VideoFrame::*m1_t2)(bool);
    typedef void (QObject::*om1_t2)(bool);
    typedef void (VideoFrame::*m1_t3)(int);
    typedef void (QObject::*om1_t3)(int);
    typedef void (VideoFrame::*m1_t4)(bool);
    typedef void (QObject::*om1_t4)(bool);
    typedef void (VideoFrame::*m1_t5)();
    typedef void (QObject::*om1_t5)();
    typedef void (VideoFrame::*m1_t6)();
    typedef void (QObject::*om1_t6)();
    m1_t0 v1_0 = &VideoFrame::timerDone;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &VideoFrame::threshold;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    m1_t2 v1_2 = &VideoFrame::substractDarks;
    om1_t2 ov1_2 = (om1_t2)v1_2;
    m1_t3 v1_3 = &VideoFrame::scaleValue;
    om1_t3 ov1_3 = (om1_t3)v1_3;
    m1_t4 v1_4 = &VideoFrame::scaleImage;
    om1_t4 ov1_4 = (om1_t4)v1_4;
    m1_t5 v1_5 = &VideoFrame::takeDark;
    om1_t5 ov1_5 = (om1_t5)v1_5;
    m1_t6 v1_6 = &VideoFrame::clearDarks;
    om1_t6 ov1_6 = (om1_t6)v1_6;
    QMetaData *slot_tbl = QMetaObject::new_metadata(7);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(7);
    slot_tbl[0].name = "timerDone()";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "threshold(int)";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Public;
    slot_tbl[2].name = "substractDarks(bool)";
    slot_tbl[2].ptr = (QMember)ov1_2;
    slot_tbl_access[2] = QMetaData::Public;
    slot_tbl[3].name = "scaleValue(int)";
    slot_tbl[3].ptr = (QMember)ov1_3;
    slot_tbl_access[3] = QMetaData::Public;
    slot_tbl[4].name = "scaleImage(bool)";
    slot_tbl[4].ptr = (QMember)ov1_4;
    slot_tbl_access[4] = QMetaData::Public;
    slot_tbl[5].name = "takeDark()";
    slot_tbl[5].ptr = (QMember)ov1_5;
    slot_tbl_access[5] = QMetaData::Public;
    slot_tbl[6].name = "clearDarks()";
    slot_tbl[6].ptr = (QMember)ov1_6;
    slot_tbl_access[6] = QMetaData::Public;
    typedef void (VideoFrame::*m2_t0)(int,int);
    typedef void (QObject::*om2_t0)(int,int);
    typedef void (VideoFrame::*m2_t1)(int,int);
    typedef void (QObject::*om2_t1)(int,int);
    typedef void (VideoFrame::*m2_t2)(int);
    typedef void (QObject::*om2_t2)(int);
    typedef void (VideoFrame::*m2_t3)(int);
    typedef void (QObject::*om2_t3)(int);
    m2_t0 v2_0 = &VideoFrame::spot;
    om2_t0 ov2_0 = (om2_t0)v2_0;
    m2_t1 v2_1 = &VideoFrame::gref;
    om2_t1 ov2_1 = (om2_t1)v2_1;
    m2_t2 v2_2 = &VideoFrame::framesGrabbed;
    om2_t2 ov2_2 = (om2_t2)v2_2;
    m2_t3 v2_3 = &VideoFrame::framesProcessed;
    om2_t3 ov2_3 = (om2_t3)v2_3;
    QMetaData *signal_tbl = QMetaObject::new_metadata(4);
    signal_tbl[0].name = "spot(int,int)";
    signal_tbl[0].ptr = (QMember)ov2_0;
    signal_tbl[1].name = "gref(int,int)";
    signal_tbl[1].ptr = (QMember)ov2_1;
    signal_tbl[2].name = "framesGrabbed(int)";
    signal_tbl[2].ptr = (QMember)ov2_2;
    signal_tbl[3].name = "framesProcessed(int)";
    signal_tbl[3].ptr = (QMember)ov2_3;
    metaObj = QMetaObject::new_metaobject(
	"VideoFrame", "QFrame",
	slot_tbl, 7,
	signal_tbl, 4,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL spot
void VideoFrame::spot( int t0, int t1 )
{
    // No builtin function for signal parameter type int,int
    QConnectionList *clist = receivers("spot(int,int)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(int);
    typedef void (QObject::*RT2)(int,int);
    RT0 r0;
    RT1 r1;
    RT2 r2;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	    case 2:
#ifdef Q_FP_CCAST_BROKEN
		r2 = reinterpret_cast<RT2>(*(c->member()));
#else
		r2 = (RT2)*(c->member());
#endif
		(object->*r2)(t0, t1);
		break;
	}
    }
}

// SIGNAL gref
void VideoFrame::gref( int t0, int t1 )
{
    // No builtin function for signal parameter type int,int
    QConnectionList *clist = receivers("gref(int,int)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(int);
    typedef void (QObject::*RT2)(int,int);
    RT0 r0;
    RT1 r1;
    RT2 r2;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	    case 2:
#ifdef Q_FP_CCAST_BROKEN
		r2 = reinterpret_cast<RT2>(*(c->member()));
#else
		r2 = (RT2)*(c->member());
#endif
		(object->*r2)(t0, t1);
		break;
	}
    }
}

// SIGNAL framesGrabbed
void VideoFrame::framesGrabbed( int t0 )
{
    activate_signal( "framesGrabbed(int)", t0 );
}

// SIGNAL framesProcessed
void VideoFrame::framesProcessed( int t0 )
{
    activate_signal( "framesProcessed(int)", t0 );
}
